%define  major         5
%define  libname       %mklibname wcs %{major}
%define  libname_virt  libwcs
%define  develname     %mklibname wcs -d

Name:    wcslib
Version: 5.14
Release: %mkrel 1
Summary: An implementation of the FITS World Coordinate System standard
Group:   System/Libraries
License: LGPLv3+
URL:     http://www.atnf.csiro.au/people/mcalabre/WCS/
Source0: ftp://ftp.atnf.csiro.au/pub/software/wcslib/%{name}-%{version}.tar.xz
Patch0:  increase_tspx_test_tol.patch

BuildRequires: flex
BuildRequires: cfitsio-devel
BuildRequires: zlib-devel
BuildRequires: gcc-gfortran

%description
WCSLIB is a library that implements the "World Coordinate System" (WCS) 
convention in FITS (Flexible Image Transport System)

%package -n %{libname}
Summary: An implementation of the FITS World Coordinate System standard
Group: System/Libraries
License: LGPLv3+
Provides: wcslib = %{version}-%{release}

%description -n %{libname}
WCSLIB is a library that implements the "World Coordinate System" (WCS) 
convention in FITS (Flexible Image Transport System)

%package -n %{develname}
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Development/Libraries
License: LGPLv3+
Requires: wcslib = %{version}-%{release}
Provides: wcslib-devel = %{version}-%{release}

%description -n %{develname}
These are the files needed to develop an application using %{name}.

%package utils
Summary: Utility programs provided by %{name}
Group: Sciences/Astronomy
License: GPLv3+
Requires: wcslib = %{version}-%{release}

%description utils
Utils provided with %{name}

%prep
%setup -q 
%apply_patches

%build
%configure2_5x --enable-fortran=gfortran --disable-static
%__make

%install
rm -rf %buildroot
%makeinstall_std
# fix permissions
rm -rf %{buildroot}/usr/share/doc/wcslib-%{version}
chmod 755 %{buildroot}%{_includedir}/wcslib-%{version}
rm -rf %{buildroot}/%{_libdir}/*.a

%files -n %{libname}
%doc COPYING.LESSER README
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc COPYING.LESSER html wcslib.pdf
%{_libdir}/*.so
%{_libdir}/pkgconfig/wcslib.pc
%{_includedir}/wcslib
%{_includedir}/wcslib-%{version}

%files utils
%doc COPYING 
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Sat Oct 29 2016 adrianomorselli <adrianomorselli> 5.14-2uplos2016
- rebuild

* Sat Mar 12 2016 pterjan <pterjan> 5.14-2.mga6
+ Revision: 989523
- Add a Debian patch relaxing a test failing on arm

* Wed Mar 09 2016 eatdirt <eatdirt> 5.14-1.mga6
+ Revision: 988588
- Upgrade to version 5.14
- Upgrade to version 5.14

* Wed Feb 17 2016 umeabot <umeabot> 4.25.1-2.mga6
+ Revision: 963240
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 joequant <joequant> 4.25.1-1.mga6
+ Revision: 854016
- upgrade to 4.25.1

* Wed Oct 15 2014 umeabot <umeabot> 4.23-4.mga5
+ Revision: 741310
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.23-3.mga5
+ Revision: 690279
- Mageia 5 Mass Rebuild

* Fri Jul 04 2014 eatdirt <eatdirt> 4.23-2.mga5
+ Revision: 643269
- Enable fortran wrappers
- Upgrade to version 4.23

* Thu Feb 27 2014 eatdirt <eatdirt> 4.18-3.mga5
+ Revision: 597685
- Rebuild for new cfitsio

* Sat Oct 19 2013 umeabot <umeabot> 4.18-2.mga4
+ Revision: 530603
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 joequant <joequant> 4.18-1.mga4
+ Revision: 458524
- do not parallel make check
- update to 4.18
- update to 4.18
- remove %%excludes and clean up rpm execution
- imported package wcslib

